package com.gic.cloud.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.gic.cloud.entity.TabIndexDescEnterprise;
/**
 * 指标
 * @ClassName: TabIndexDescEnterpriseMapper 
 * @Description:  
 * @author zhiwj 
 * @date 2020/9/7 10:45 AM 
 */
public interface TabIndexDescEnterpriseMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabIndexDescEnterprise record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabIndexDescEnterprise record);

    /**
     * 根据主键查询
     *
     * @param indexDescEnterpriseId 主键
     * @return 实体对象
     */
    TabIndexDescEnterprise selectByPrimaryKey(Integer indexDescEnterpriseId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabIndexDescEnterprise record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabIndexDescEnterprise record);

    /**
     * 更新指标顺序
     * @Title: updateSort 
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param sort 
     * @return  void 
     */
    void updateSort(@Param("enterpriseId") Integer enterpriseId, @Param("sort") Integer sort);

    /**
     * 删除
     * @Title: removeList 
     * @Description:
     * @author zhiwj
     * @param deleteList 
     * @return  void 
     */
    void removeList(@Param("ids") List<Integer> deleteList);

    /**
     * 物理删除
     * @param enterpriseId
     * @return
     */
    int logicalRemove(@Param("enterpriseId") Integer enterpriseId);
}